
DataONE R Client - Story #3430

Should be able to include pre-existing objects in a new package and create the package without

exceptions

2012-12-17 20:49 - Rob Nahf

Status: Closed Start date: 2013-01-11

Priority: Normal Due date: 2014-09-10

Assignee: Rob Nahf % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: DataONE R Client 1.1.0   

Story Points:    

Description

the create method should be able to recognize a pre-existing object  that's part of a new data-package and not throw an exception

when trying to create it again.   That is, it should catch the exception, check that the content is the same and keep going if so.

Subtasks:

Task # 3475: refactor createDataPackage Closed

Task # 3634: create unit test for pre-existing D1Object in createDataPackage Closed

History

#1 - 2013-01-11 16:38 - Rob Nahf

- Status changed from New to In Progress

- % Done changed from 0 to 50

#2 - 2013-02-22 18:47 - Matthew Jones

- Target version deleted (Sprint-2012.50-Block.6.4)

- Due date deleted (2013-01-11)

- Project changed from Infrastructure to DataONE R Client

- Start date deleted (2013-01-11)

- Category deleted (d1_client_r)

#3 - 2013-03-01 22:17 - Rob Nahf

- Due date set to 2013-03-01

- Target version set to DataONE R Client 1.1.0

- Start date set to 2013-03-01

#4 - 2014-09-10 20:57 - Matthew Jones

- Status changed from In Progress to Closed
